pro evol_6dg_n2_4v5         

OPENR, 34, 'evol_6dg_n2_4v5b.dat'

!p.multi=[12,3,4]

; Rappel pour faire des PS
; set_plot, 'PS'
; device, ysize=24,xsize=18,/portrait,filename='evol_6dg_n2_4v5b_wav.ps'
; device, /close
; Fin du rappel


nitt=2250
n=13
m=13

xpi=acos(-1.)
x=make_array(n)
y=make_array(m)
xp=make_array(n)
yp=make_array(m)
h=make_array(n,m)
fa=make_array(n,m)
fl=make_array(n,m)
fm=make_array(n,m)
fk=make_array(n,m)
fc=make_array(n,m)
fn=make_array(n,m)
psi=make_array(n,m)


for i=0,n-1 do begin
x(i)=2.*xpi*i/(n-1)      
xp(i)=x(i)*100.
endfor
; print,' x=',x

for j=0,m-1 do begin
y(j)=xpi*j/(m-1)
yp(j)=xpi*j/(m-1)*100.
endfor
; print,' y=',y

for i=0,n-1 do begin
for j=0,m-1 do begin
h(i,j)=cos(2.*x(i))*sin(y(j))
fa(i,j)=sqrt(2.)*cos(y(j))
fl(i,j)=2.*cos(2.*x(i))*sin(y(j))
fm(i,j)=2.*cos(2.*x(i))*sin(2.*y(j))
fk(i,j)=2.*sin(2.*x(i))*sin(y(j))
fc(i,j)=sqrt(2.)*cos(2.*y(j))
fn(i,j)=2.*sin(2.*x(i))*sin(2*y(j))
endfor
endfor

psa=make_array(nitt)
psk=make_array(nitt)
psl=make_array(nitt)
psc=make_array(nitt)
psm=make_array(nitt)
psn=make_array(nitt)

psam=0.
pskm=0.
pslm=0.
pscm=0.
psmm=0.
psnm=0.
for it=0,nitt-1 do begin

readf,34,time,psat,pskt,pslt,psct,psmt,psnt
psa(it)=psat
psk(it)=pskt
psl(it)=pslt
psc(it)=psct
psm(it)=psmt
psn(it)=psnt
psam=psam+psat/nitt
pskm=pskm+pskt/nitt
pslm=pslm+pslt/nitt
pscm=pscm+psct/nitt
psmm=psmm+psmt/nitt
psnm=psnm+psnt/nitt
endfor

; print,psam,pskm,pslm,pscm,psmm,psnm
; for it=0,nitt-1 do begin
; psa(it)=psa(it)-psam
; psk(it)=psk(it)-pskm
; psl(it)=psl(it)-pslm
; psc(it)=psc(it)-pscm
; psm(it)=psm(it)-psmm
; psn(it)=psn(it)-psnm
; endfor

; for it=2000,NITT-1 do begin
; read, PROMPT='Attente ',ittt

for it=2001,2012 do begin
print, it

print,psa(it),psk(it),psl(it),psc(it),psm(it),psn(it)
 
for i=0,n-1 do begin
for j=0,m-1 do begin
; psi(i,j)=psa(it)*fa(i,j)+psk(it)*fk(i,j)+psl(it)*fl(i,j)
; psi(i,j)=psa(it)*fa(i,j)+psk(it)*fk(i,j)+psl(it)*fl(i,j)$
;         +psc(it)*fc(i,j)+psm(it)*fm(i,j)+psn(it)*fn(i,j)
; psi(i,j)=psam*fa(i,j)+pskm*fk(i,j)+pslm*fl(i,j)$
;         +pscm*fc(i,j)+psmm*fm(i,j)+psnm*fn(i,j)
  psi(i,j)=psc(it)*fc(i,j)+psm(it)*fm(i,j)+psn(it)*fn(i,j)
endfor
endfor


v=(findgen(25)*.1-1.25)*2

contour, h, x, y,levels=v,c_linestyle=(v lt 0.0)$
; ,thick=1 ,xtitle="x/L",ytitle="y/L"$
,ystyle=1,yrange=[0.,3.14],yticks=2,ytickformat='(f5.1)'$
,xstyle=1,xrange=[0.,6.18],xticks=4,xtickformat='(f5.1)'$
,charthick=2,charsize=2,xthick=2,ythick=2

v=(findgen(50)*.1-2.25)*0.25
contour,psi ,  x, y, levels=v,c_linestyle=(v lt 0.0)$
, /overplot, thick=3

; endfor
endfor

CLOSE,34

end

