pro qbo

openr,14,'qbo_dat'

; set_plot,'ps'
; device, filename='qbo.ps'

readf,14,n,m

zz=make_array(n)
tt=make_array(m)
uu=make_array(m,n)

for i=0,n-1 do begin
readf,14,zzt
zz(i)=zzt/1000.
endfor

for j=0,m-1 do begin
tt(j)=j*1.
tt(j)=tt(j)/12.
endfor

for j=0,m-1 do begin
for i=0,n-1 do begin
readf,14,uut
uu(j,i)=uut
endfor
endfor

v=findgen(41)-20.5

contour,uu,tt,zz,levels=v,C_LINESTYLE = (V LT 0.0)$
,thick=2 ,xtitle="Temps (annee)",ytitle="z(Km)"$
,yrange=[10.,60.],yticks=5$
,xrange=[0,10],xticks=10$
,charthick=3,charsize=2,xthick=2,ythick=2

device,/close

end
